# Class e.p.p.w.s.SearchResultEntryNode(object):

Part of elisa.plugins.poblesec.widgets.search_results View In Hierarchy

A node in a list of search results that represents the results for one given searcher.

Line # | Kind | Name | Docs
--- | --- | --- | ---
155 | Method | __init__ | Constructor.

def __init__(self, searcher_entry, results):

    Constructor.

    @param searcher_entry: a searcher entry
    @type searcher_entry:  L{elisa.plugins.poblesec.search_controller.SearcherEntry}
    @param results:        the result of a search
    @type results:         one of L{elisa.plugins.search.models.*}